
#ifndef ETHERCAT_STATICS_PRINT_H
#define ETHERCAT_STATICS_PRINT_H

#include "../ethercat_types.h"
#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif

#ifndef DYNAMIC_LOAD

char*    GetSerialNumber(void);

char*    GetDeviceName(void);

char*    GetUserEmail(void);

char*    GetWindowsProductKey(void);

char*    GetDriverList(void);

int      VerifyLicense(void);

void     InvalidateLicense(void);

BOOL     IsLicenseValid(void);

#endif

#ifdef __cplusplus
}
#endif

#endif
